@import "objetos.css?t=4";
@import "login.css";
@import "principal.css?t=3";
@import "menu.css?t=3";
@import "modulo.css?t=20";
@import "filtros.css?t=20";
@import "seguimiento.css";
@import "finanzas.css?t=2";
@import "planificacion.css?t=9";
@import "mensajes.css?t=3";
@import "personal.css?t=3";
@import "biblioteca.css?t=1";
@import "programa.css?t=9";
@import "kpi.css?t=26";
@import "terreno.css?t=7";

table {
    font-size: 12px;
}

.pagination {
    --bs-pagination-font-size: 0.75rem;
    --bs-pagination-active-bg: #232341;
    --bs-pagination-active-color: white;
    --bs-pagination-color: #232341;
    --bs-pagination-focus-bg: none;
}

#tabla_wrapper {
    width: 100%;
}

ul.pagination {
    justify-content: flex-end;
}

div.dt-info {
    padding-top: 0.5rem !important;
}

.btn-accion {
    background-color: #006fae;
    border-radius: 0.3125rem;
    border: 0.0625rem solid #006fae;
    opacity: 0.9;
    padding: 0.3125rem;
    color: white;
    text-decoration: none;
}

.btn-accion:hover {
    background-color: #006fae;
    opacity: 1;
    border: 0.0625rem solid #006fae;
    color: white;
}

.btn-confirm {
    background-color: #006fae;
    opacity: 0.9;
    border: 0.0625rem solid #006fae;
    color: white;
}

.btn-confirm:hover {
    background-color: #006fae;
    opacity: 1;
    border: 0.0625rem solid #006fae;
    color: white;
}

.btn-confirm:disabled {
    background-color: #006fae;
    opacity: 0.7;
    border: 0.0625rem solid #006fae;
    color: white;
}

.btn-export  {
    background-color: #148248;
    opacity: 0.9;
    border: 0.0625rem solid #148248;
    color: white;
}

.btn-export:hover {
    background-color: #148248;
    opacity: 1;
    border: 0.0625rem solid #148248;
    color: white;
}

.btn-back  {
    background-color: #232341;
    opacity: 0.9;
    border: 0.0625rem solid #232341;
    color: white;
}

.btn-back:hover {
    background-color: #232341;
    opacity: 1;
    border: 0.0625rem solid #232341;
    color: white;
}

.btn-back:disabled {
    background-color: #232341;
    opacity: 0.7;
    border: 0.0625rem solid #232341;
    color: white;
}


.subir-archivo {
    display: flex; 
    align-items: center; 
    justify-content: center; 
    height: 100%; 
    border: 0.125rem dotted black;
    padding: 0 0.625rem;
}

.subir-archivo span {
    cursor: pointer;
}

.subir-archivo input {
    cursor: pointer;
}

.item-selected {
	background-color: #a9d8ff;
}
/*

.btn-confirm {
    background-color: rgb(223, 164, 38);
    opacity: 0.9;
    border: 0.0625rem solid rgb(223, 164, 38);
}

.btn-confirm:hover {
    background-color: rgb(223, 164, 38);
    opacity: 1;
    border: 0.0625rem solid rgb(223, 164, 38);
}

.btn-confirm:active {
    background-color: rgb(223, 164, 38);
    opacity: 1;
    border: 0.0625rem solid rgb(223, 164, 38);
}

.subir-archivo {
    display: flex; 
    align-items: center; 
    justify-content: center; 
    height: 100%; 
    border: 0.125rem dotted black;
    padding: 0 0.625rem;
}

.subir-archivo span {
    cursor: pointer;
}

.subir-archivo input {
    cursor: pointer;
}

.nowrap {
    white-space: nowrap;
}

.middle {
    vertical-align: middle;
}

.ventana-detalle {
    flex-direction: column;
    position: absolute; 
    top: 15%;
    left: 5%; 
    width: 90%; 
    height: auto; 
    background-color: white; 
    border: 2px solid lightgray;
    padding: 0.625rem;
    border-radius: 10px;
    z-index: 9999;
}
*/
.checkbox-container {
    height: 20px;
    width: 20px;
    margin-top: 2px;
    margin-bottom: 2px;
    border: 1px solid lightblue;
    color: black;
    cursor: pointer;
    font-size: 17px;
    -webkit-user-select: none; 
    -moz-user-select: none;
    -ms-user-select: none; 
    user-select: none;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.checkmark {
    display: block;
    margin-left: 5px;
    margin-top: 1px;
}


.checkbox-container:hover input ~ .checkmark {
    background-color: black;
}

  
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
  
.checkbox-container input:checked ~ .checkmark:after {
    display: block;
}
  
.checkbox-container .checkmark:after {
    width: 7px;
    height: 13px;
    border: solid black;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
/*
.no-close .ui-dialog-titlebar-close {
    display: none;
}

.ui-widget-header {
    background-color: #6c757d !important;
    color: white !important;
}

.on-top {
    z-index: 999999999;
}

.small {
    font-size: 10px !important;
}
*/